#!/bin/sh
#
# All Rights Reserved, Copyright (c) FUJITSU LIMITED 2012-2014
#
#	Configuration Tool for Oracle VM Server for SPARC
#
# Revision 2.2  2014/10/02
#
# template_menu.sh

pattern1_temp()
{

while :
do
	header "$TOP_TITLE" "Pattern 1"
	cat <<-EOF
	Select the type of domain that you wish to create.

	 1. Primary domain (Control domain)
	 2. Guest domain


	t:top menu  q:quit
	---------------------------------------------------------------------------------------
	EOF

	echo "Please select (1-2,t,q) ==> \c"
	read i

	case $i in
		[1])	primary_check2
			primary_pattern1
			exit 0
			;;
		[2])	primary_check
			guest_pattern1 
			exit 0
			;;
		[t])	menu
			;;
		[q])	quit
			;;
	esac
done

}

pattern2_temp()
{
while :
do
	header "$TOP_TITLE" "Pattern 2"
	cat <<-EOF
	Select the type of domain that you wish to create.

	 1. Primary domain (Control domain)
	 2. I/O domain


	t:top menu  q:quit
	---------------------------------------------------------------------------------------
	EOF

	echo "Please select (1-2,t,q) ==> \c"
	read i

	case $i in
		[1])	primary_check2
			primary_pattern2
			exit 0
			;;
		[2]) 	primary_check
			io_pattern2
			exit 0
			;;
		[t])	menu
			;;
		[q])	quit
			;;
	esac
done

}

pattern3_temp()
{
while :
do
	header "$TOP_TITLE" "Pattern 3"
	cat <<-EOF
	Select the type of domain that you wish to create.

	 1. Primary domain (Control domain)
	 2. I/O domain * 3


	t:top menu  q:quit
	---------------------------------------------------------------------------------------
	EOF

	echo "Please select (1-2,t,q) ==> \c"
	read i

	case $i in
		[1])	primary_check2
			primary_pattern3
			exit 0
			;;
		[2]) 	primary_check
			io_pattern3
			exit 0
			;;
		[t]) 	menu
			;;
		[q])	quit
			;;
	esac
done

}

pattern4_temp()
{
while :
do
	header "$TOP_TITLE" "Pattern 4"
	cat <<-EOF
	Select the type of the domain that you wish to create.

	 1. Primary domain (Control domain)
	 2. I/O domain #0
	 3. I/O domain #0 (Add a service domain function)
	 4. I/O domain #1 (For database server)
	 5. Guest domain (For Web server)
	 6. Guest domain (For application server)

	t:top menu  q:quit
	---------------------------------------------------------------------------------------
	EOF

	echo "Please select (1-6,t,q) ==> \c"
	read i

	case $i in
		[1])	primary_check2
			primary_pattern4
			exit 0
			;;
		[2]) 	primary_check
			io_chkek 1
			io_pattern41
			exit 0
			;;
		[3]) 	primary_check
			io_chkek 2
			io_pattern42
			exit 0
			;;
		[4]) 	primary_check
			io_pattern43
			exit 0
			;;
		[5]) 	primary_check
			guest_pattern4_web
			exit 0
			;;
		[6]) 	primary_check
			guest_pattern4_ap
			exit 0
			;;
		[t]) 	menu
			;;
		[q])	quit
			;;
	esac
done

}

#pattern5_temp()
#{
#while :
#do
#	clear
#
#	cat <<-EOF
#	=======================================================================================
#	 The Configuration Tool for Oracle VM Server for SPARC                     [Pattern 5]
#	=======================================================================================
#
#	Under construction.
#
#
#
#
#
#	t:top menu  q:quit
#	---------------------------------------------------------------------------------------
#	EOF
#
#	echo "Please select (t,q) ==> \c"
#	read i
#
#	case $i in
#		[1])	primary_check2
##			primary_pattern5
#			exit 0
#			;;
#		[2]) 	primary_check
##			io_pattern5
#			exit 0
#			;;
#		[t]) 	menu
#			;;
#		[q])	quit
#			;;
#	esac
#done
#
#}

